%define anolis_release 1

Name:           tone-cli
Version:        1.0
Release:        %{anolis_release}%{?dist}
Summary:        T-One CLI Test Framework
License:        MulanPSL2
Group:          Development/Libraries
URL:            https://gitee.com/anolis/tone-cli
Source:         %{name}-%{version}.tar.gz
Requires:       make, git, wget, tar, zip, unzip, gcc, gawk, numactl, patch
Requires:       python3, python3-devel, python3-psutil, python3-pyyaml
ExclusiveArch:  x86_64 aarch64 loongarch64

%description
tone-cli is a component of T-One, and is an automated testing framework used to execute test suites

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc 

%prep
%autosetup -n %{name}-%{version} -p1

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_bindir}
cp -r %{_builddir}/%{name}-%{version}/* %{buildroot}/%{_datadir}/%{name}
ln -sf %{_datadir}/%{name}/tone %{buildroot}/%{_bindir}/tone

%files
%license LICENSE.txt
%{_datadir}/%{name}
%{_bindir}/tone

%files doc
%doc README-zh_CN.md

%changelog
* Tue Mar  8 2022 jacob-qi <qibo.qb@alibaba-inc.com> - 1.7.4.2-1
- Init for Anolis OS 23